
<?php

/* 
WordPress Function to Add Social Media Share Links to WordPress Using Shortcode
Simply insert the code in wp-content > themes > yourCurrentTheme > functions.php

then, place it anywhere you want the Social Share Links to show (perhaps Sidebar Widget or Footer Widget) using below WordPress shortcode
[rankya_social_share_button_shortcode]
*/
function rankya_social_share_button_shortcode() {
global $wp_query;
$siteurlfromsettingsgeneral =  get_bloginfo( 'url' );
$domainparts = parse_url($siteurlfromsettingsgeneral);
$domain = isset($domainparts['host']) ? $domainparts['host'] : '';
if (preg_match('/(?P[a-z0-9][a-z0-9\-]{1,63}\.[a-z\.]{2,6})$/i', $domain, $regs)) {
$siteurlfromsettingsgeneral = strstr( $regs['domain'], '.', true );
}
if(is_singular()){
$rankya_url = urlencode( get_permalink() );
// get_the_title but add space %20
$rankya_title = str_replace( ' ', '%20', get_the_title());
// Core Web Vitals are important for shares
$twitterURL = 'https://twitter.com/intent/tweet?text='.$rankya_title.'&url='.$rankya_url.'&via='.$siteurlfromsettingsgeneral.'';
$facebookURL = 'https://www.facebook.com/sharer/sharer.php?u='.$rankya_url;
$redditURL = 'https://www.reddit.com/submit?url='.$rankya_url.'&amp;title='.$rankya_title;
$linkedInURL = 'https://www.linkedin.com/shareArticle?mini=true&url='.$rankya_url.'&title='.$rankya_title;
//if featured image set, use
if ( has_post_thumbnail() ) {
$thumb_id = get_post_thumbnail_id();
$thumb_url = wp_get_attachment_image_src($thumb_id,'full', true);
$pinterestNewURL = 'https://pinterest.com/pin/create/button/?url='.$rankya_url.'&media='.$thumb_url[0].'&description='.$rankya_title;
} else{
$pinterestNewURL = 'https://pinterest.com/pin/create/button/?url='.$rankya_url.'&description='.$rankya_title;
}
$content .= '<div class="social-share-div"><strong>Help others, share this content</strong><div class="share-buttons">';
$content .= '<a class="buttonlink share-button-profile-twitter" href="'. $twitterURL .'" target="_blank" rel="nofollow noopener">Twitter</a>';
$content .= '<a class="buttonlink share-button-profile-facebook" href="'.$facebookURL.'" target="_blank" rel="nofollow noopener">Facebook</a>';
$content .= '<a class="buttonlink share-button-profile-whatsapp" href="'.$redditURL.'" target="_blank" rel="nofollow noopener">Reddit</a>';
$content .= '<a class="buttonlink share-button-profile-pinterest" href="'.$pinterestNewURL.'" data-pin-custom="true" target="_blank" rel="nofollow noopener">Pin It</a>';
$content .= '<a class="buttonlink share-button-profile-linkedin" href="'.$linkedInURL.'" target="_blank" rel="nofollow noopener">LinkedIn</a>';
$content .= '</div></div>';
return $content;
}
};
// Use WordPress shortcode = [insertrankya_social_share_button_shortcode]
add_shortcode('insertrankya_social_share_button_shortcode', 'rankya_social_share_button_shortcode');


